Subject: Re: [bug#28288] [PATCH 5/5] tests: Add test for installing from an ISO Image.
From: Christopher Baines <[email-masked]>
To: [email-masked] (Ludovic Courtès), Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 6 Sep 2017 08:46:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 05 Sep 2017 15:18:22 +0200
[email-masked] (Ludovic Courtès) wrote:

> Christopher Baines <[email-masked]> skribis:
> 
> > On Sun,  3 Sep 2017 11:50:41 +0100
> > Christopher Baines <[email-masked]> wrote:
> >  
> >> * gnu/tests/install.scm (%test-iso-image-installer): New variable.
> >>   (run-install): Add #:installation-disk-image-file-system-type as
> >> a keyword argument.
> >> ---
> >>  gnu/tests/install.scm | 110
> >> +++++++++++++++++++++++++++++++++++++++++++++----- 1 file changed,
> >> 99 insertions(+), 11 deletions(-)  
> >
> > This test now passes! I've also successfully generated an ISO image
> > that I used to install GuixSD to a Bytemark VM [1].  
> 
> Woohoo, really nice!  \o/
> 
> Thanks for persevering!

Danny, Ludo, thanks for reviewing :) I've now pushed these changes.